<div class="description-content">
  <div class="description-title">
    <h1 *ngIf="currentRound === 1">
      Start a Story!
    </h1>
    <h1 *ngIf="currentRound !== 1">
      Try to describe the picture
    </h1>
  </div>

  <div class="description-drawing" *ngIf="currentRound !== 1">
    <div *ngIf="previousData">
      <img [src]="previousData"
           class="prevImage"
           alt="drawing result">
    </div>
    <div *ngIf="!previousData" class="noImage">
      Sorry there is no drawing available!
    </div>
  </div>

  <form [formGroup]="descriptionFormGroup" [@inputEnter]>
    <label>
      <input class="description-intput" type="text" formControlName="description" placeholder="{{placeholder}}">
    </label>
    <button mat-stroked-button color="primary" class="description-btn" (click)="setDescription()"
            [disabled]="descriptionFormGroup.invalid"> {{isSaved ? 'Edit' : 'Done' }}</button>
  </form>
</div>
